# Combine Results


rm(list=ls(all=TRUE))

# Results for Naive2

# Need to set the directory where the outputs are saved.

#setwd("/Local Drive/Erfan/SIM/Simulation/MisspecifiedErrorDistribution/Naive2/")


L = 11 # no of outputs + 1

Naive2result2 = matrix(NA, nrow=200, ncol = L)
for(i in 1:200){
  a = try(read.table(file=paste("Naive2result1_run", i, ".txt",sep=""), fill=TRUE), silent=T)
  if((a[1]==i)[1]){
    Naive2result2[i,1:10] = as.numeric(a[1,])
    Naive2result2[i,11] = as.numeric(a[2,1])
  }
}

estimate=Naive2result2[,2:11]
estimate=t(estimate)

theta.old<-c(1,1,2,2,1.76)
n=350;q=5
## Calculating 95% confidence Interval and Coverage probability.
true.theta<-theta.old
mle<-cbind(estimate[,1],estimate[,2],estimate[,3],estimate[,4],estimate[,5])
se<-cbind(estimate[,6],estimate[,7],estimate[,8],estimate[,9],estimate[,10])
## Estimation of Bias, Root mean square error (RMSE).
theta<-apply(mle,2,mean)
SE<-apply(mle,2,sd)
bias<-round(theta-theta.old,5)
RMSE<-sqrt((apply(mle,2,var))+(bias^2))

CR<-c()
for (i in 1:5)
{
  ll=mle[,i]-1.96*SE[i]
  ul=mle[,i]+1.96*SE[i]
  coverage3=((ll<=true.theta[i]) & (ul>=true.theta[i]))
  CR[i]<-mean(coverage) # Coverage of C.I for true theta 
}

table_naive2<-data.frame(bias,RMSE,CR3)
round(table_naive2,4)
