
#########################################################
# Perform a Monte-Carlo study using parallel computing
#########################################################

#require(parallel)
library(parallel)
ncores <- 20
cl <- makeCluster(ncores)

# add packages
msg <- clusterEvalQ(cl = cl, expr = {
  #require(VineCopula)
source("Naive2_Missspecified_Error_Distribution.R")
Naive2.MC = function(m, n,q){
set.seed(12345+m) 
Naive2result1=naive2(n,q,c(0.8,10))
res=c(m, Naive2result1)
write(res, file=paste("Naive2result1_run", m, ".txt",sep=""), ncol=10, append=T)
return(res)
  }
})

system.time({
 Naive2result1 <- parSapply(cl = cl, X = 1:200, FUN = function(m) {
 Naive2.MC(m, n=350,q=5)
  })
})

stopCluster(cl)

save(Naive2result1, file="Naive2result_MissspecifiedErrorDistq5.Rdata")


    