# Combine Results


rm(list=ls(all=TRUE))

# Results for Proposed approach

# Need to set the directory where the outputs are saved.

#setwd("/Local Drive/Erfan/SIM/Simulation/MisspecifiedErrorDistribution/Proposed/")

L = 17 # no of outputs+1 


Proposedresult = matrix(NA, nrow=200, ncol = L)
for(i in 1:200){
  a = try(read.table(file=paste("Proposedresult2_run", i, ".txt",sep=""), fill=TRUE), silent=T)
  if((a[1]==i)[1]){
    Proposedresult[i,1:16] = as.numeric(a[1,])
    Proposedresult[i,17] = as.numeric(a[2,1])
  }
}

estimate=Proposedresult[,2:17]
estimate=t(estimate)

#### Initial values for all parameters.
##theta.old<-c(1,2,2,2,0.5,0.3,0.1,0.2)
theta.old<-c(1,1,2,2,0.5,0.3,0.1,0.2)

mle<-cbind(estimate[1,],estimate[2,],estimate[3,],estimate[4,],estimate[5,],estimate[6,],estimate[7,],estimate[8,])
se<-cbind(estimate[9,],estimate[10,],estimate[11,],estimate[12,],estimate[13,],estimate[14,],estimate[15,],estimate[16,])
## Estimation of Bias, Root mean square error (RMSE).
theta<-apply(mle,2,mean) 
SE<-apply(mle,2,sd)
bias<-round(theta-theta.old,5)
RMSE<-sqrt((apply(mle,2,var))+(bias^2))
n=350;q=5
true.theta<-theta.old
CR<-c()
for (i in 1:8)
{
  ll=mle[,i]-1.96*ESE[i]
  ul=mle[,i]+1.96*ESE[i]
  coverage3=((ll<=true.theta[i]) & (ul>=true.theta[i]))
  CR[i]<-mean(coverage) # Coverage of C.I for true theta 
}

table_proposed<-data.frame(bias,RMSE,CR)
round(table_proposed,4)
