# Combine Results


# rm(list=ls(all=TRUE))



L = 21 # no of outputs+1 


Proposedresult = matrix(NA, nrow=200, ncol = L)
for(i in 1:200){
  a = try(read.table(file=paste("ProposedresultNonstationary_run", i, ".txt",sep=""), fill=TRUE), silent=T)
  if((a[1]==i)[1]){
    Proposedresult[i,1:20] = as.numeric(a[1,])
    Proposedresult[i,21] = as.numeric(a[2,1])
  }
}

estimate=Proposedresult [,2:21]
estimate=t(estimate)

#### Initial values for all parameters.
theta.old<-c(1,2,2,2,0.5,0.3,0.2,0.05,0.1,0.2)

mle<-cbind(estimate[1,],estimate[2,],estimate[3,],estimate[4,],estimate[5,],estimate[6,],estimate[7,],estimate[8,],estimate[9,],estimate[10,])
se<-cbind(estimate[11,],estimate[12,],estimate[13,],estimate[14,],estimate[15,],estimate[16,],estimate[17,],estimate[18,],estimate[19,],estimate[20,])
## Estimation of Bias, Root mean square error (RMSE).
theta<-apply(mle,2,mean) 
SE<-apply(mle,2,sd)
bias<-round(theta-theta.old,5)
RMSE<-sqrt((apply(mle,2,var))+(bias^2))
n=350;q=5
CR<-c()
for (i in 1:10)
{
  ll=mle[,i]-1.96*SE[i]
  ul=mle[,i]+1.96*SE[i]
  coverage3=((ll<=true.theta[i]) & (ul>=true.theta[i]))
  CR3[i]<-mean(coverage3) # Coverage of C.I for true theta 
}


table_proposed<-data.frame(bias,RMSE,CR)
round(table_proposed,4)
